=== added directory 'container'
=== added file 'container/container.go'
--- container/container.go	1970-01-01 00:00:00 +0000
+++ container/container.go	2012-06-14 15:31:41 +0000
@@ -0,0 +1,33 @@
+package container
+
+// Container contains running juju service units.
+type Container interface {
+	Deploy(unit *state.Unit) error
+	Destroy() error
+}
+
+// TODO:
+//type lxc struct {
+//	name string
+//}
+//
+//func LXC(name string) Container {
+//}
+
+type simple struct {
+	name string
+}
+
+func Simple(name string) Container {
+	return &simple{name}
+}
+
+func (s *simple) Deploy(u *unit.Unit) error {
+	up := &upstart.Config{
+		Service: upstart.Service {
+			Name:
+		},
+		Desc: "juju unit agent for " + u.Name(),
+		
+	}
+}
\ No newline at end of file

